curl --request PATCH \
--url https://ai.wisepilot.app/api/v1/content/listeners/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"query_config": {},
"poll_interval": "1h",
"enabled": true
}
'{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"websiteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"sourceType": "reddit",
"queryConfig": {},
"pollInterval": "1h",
"nextPollAt": "2023-11-07T05:31:56Z",
"lastPolledAt": "2023-11-07T05:31:56Z",
"lastItemCount": 123,
"enabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Update listener configuration, poll interval, or enabled state.
curl --request PATCH \
--url https://ai.wisepilot.app/api/v1/content/listeners/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"query_config": {},
"poll_interval": "1h",
"enabled": true
}
'{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"websiteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"sourceType": "reddit",
"queryConfig": {},
"pollInterval": "1h",
"nextPollAt": "2023-11-07T05:31:56Z",
"lastPolledAt": "2023-11-07T05:31:56Z",
"lastItemCount": 123,
"enabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}API key prefixed with cr_ (e.g. cr_a1b2c3...)
The listener UUID